Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160234 - GNU Binutils Binary File Descriptor Library Integer Overflow
Summary: GNU Binutils Binary File Descriptor Library Integer Overflow
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: binutils
Version: rhl7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.securityfocus.com/bid/1383...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 18:45 UTC by John Dalbec
Modified: 2007-08-30 20:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 20:00:52 UTC


Attachments (Terms of Use)

Description John Dalbec 2005-06-13 18:45:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20050519 Netscape/8.0.1

Description of problem:
05.22.20 CVE: Not Available
Platform: Unix
Title: GNU Binutils Binary File Descriptor Library Integer Overflow
Description: GNU Binutils is a collection of binary tools. The Binary
File Descriptor Library, which is part of Binutils, is vulnerable to
an integer overflow issue. An attacker  could exploit this issue to
run arbitrary code in the context of the vulnerable utility. GNU
Binutils versions 2.16-r1 and earlier are vulnerable.
Ref: http://www.securityfocus.com/bid/13830/info 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Jeff Sheltren 2005-10-08 11:36:47 UTC
I believe this is CAN-2005-1704

RHEL advisory is here: https://rhn.redhat.com/errata/RHSA-2005-673.html

Comment 2 Jesse Keating 2007-08-30 20:00:52 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.